﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        public ObservableArrayList HighTemperature;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SfChart chart = new SfChart(this);
            chart.Title.Text = "Weather Analysis";
            chart.SetBackgroundColor(Color.White);

            HighTemperature = new ObservableArrayList();
            HighTemperature.Add(new ChartDataPoint(0.2, 42));
            HighTemperature.Add(new ChartDataPoint(0.8, 48.05));
            HighTemperature.Add(new ChartDataPoint(1.3, 64.76));
            HighTemperature.Add(new ChartDataPoint(1.7, 44.05));
            HighTemperature.Add(new ChartDataPoint(2.1, 64.76));
            HighTemperature.Add(new ChartDataPoint(2.5, 25.10));

            NumericalAxis primaryAxis = new NumericalAxis();
            primaryAxis.Title.Text = "Days";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Temperature";
            chart.SecondaryAxis = secondaryAxis;

            chart.Series.Add(new LineSeries()
            {
                DataSource = HighTemperature
            });

            SetContentView(chart);
        }
    }
}

